[t,y] = ode45(@cluster,[0:0.01:1],[1 2 3]);


% figure(1)
% plot(t,y(:,3));                 % plot of z(t) versus time
% figure(2)
% plot(t,y(:,1)); 
% figure(3)
% plot(y(:,1),y(:,3));            % plot of z versus x
% figure(4)
% plot3(y(:,1),y(:,2),y(:,3));    % 3D plot of trajectory
% figure(5)
% plot(y(:,1),y(:,2));            % plot of z versus x
% figure(6)
% plot(y(:,3),y(:,1));


[x1,y1,z1] = meshgrid(-2:0.2:2,-2:0.2:2,-2:0.2:2);
u = zeros(size(x1));
v = zeros(size(y1));
w = zeros(size(z1));

t=0;
for i = 1:numel(x1)
    Yprime = cluster(t,[x1(i); y1(i); z1(i)]);
    u(i) = Yprime(1);
    v(i) = Yprime(2);
    w(i) = Yprime(3);
end


quiver3(x1,y1,z1,u,v,w); figure(gcf)