


mu = 100;


F = @(t,y) [y(2); mu*(1-y(1)^2)*y(2)-y(1)];


y0 = [0  1]';

opts = odeset('stats','on')

tspan= (0:1/36:1)*2*pi;

tic
[t,y] = ode15s(F,[0 460],y0,opts)    % stiff solver
toc



% plot(t,y(:,1), '.')
% axis square
% axis(1.2*[-1 1 -1 1])

% plot phase-plane 
plot(y(:,1),y(:,2),'.-')