if(NOT dune-microstructure_FOUND)
# Whether this module is installed or not
set(dune-microstructure_INSTALLED OFF)

# Settings specific to the module

# Package initialization
# Set prefix to source dir
set(PACKAGE_PREFIX_DIR /home/klaus/Desktop/DUNE2.8/dune-microstructure)
macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

#report other information
set_and_check(dune-microstructure_PREFIX "${PACKAGE_PREFIX_DIR}")
set_and_check(dune-microstructure_INCLUDE_DIRS "/home/klaus/Desktop/DUNE2.8/dune-microstructure")
set(dune-microstructure_CXX_FLAGS "-std=c++17 -Og -g")
set(dune-microstructure_CXX_FLAGS_DEBUG "-g")
set(dune-microstructure_CXX_FLAGS_MINSIZEREL "-Os -DNDEBUG")
set(dune-microstructure_CXX_FLAGS_RELEASE "-O3 -DNDEBUG")
set(dune-microstructure_CXX_FLAGS_RELWITHDEBINFO "-O2 -g -DNDEBUG")
set(dune-microstructure_DEPENDS "dune-common;dune-istl;dune-geometry;dune-localfunctions;dune-uggrid;dune-grid;dune-typetree;dune-functions;dune-solvers")
set(dune-microstructure_SUGGESTS "")
set(dune-microstructure_MODULE_PATH "/home/klaus/Desktop/DUNE2.8/dune-microstructure/cmake/modules")
set(dune-microstructure_LIBRARIES "")

# Lines that are set by the CMake build system via the variable DUNE_CUSTOM_PKG_CONFIG_SECTION


#import the target
if(dune-microstructure_LIBRARIES)
  get_filename_component(_dir "${CMAKE_CURRENT_LIST_FILE}" PATH)
  include("${_dir}/dune-microstructure-targets.cmake")
endif()
endif()
